http_put_data
http_put_stream
HTTP Fonctions
PHP Manual

# http_put_file

(PECL pecl_http >= 0.10.0)

http_put_file — Effectue une requête PUT avec un fichier

### Description

string http_put_file ( string `$url` [, string `$file` [, array `$options` [, array `&$info` ]]] )

Effectue une requête HTTP PUT sur l'URL fournie.

Voir la liste complète des options de demande.

### Liste de paramètres

`url`

  URL

`file`

  le fichier à envoyer par méthode PUT

`options`

  options de demande

`info`

  information de demande/réponse

### Valeurs de retour

Retourne la(les) réponse(s) HTTP sous la forme d'une chaîne de caractères en cas de succès, ou `FALSE` si une erreur survient.

http_put_data
http_put_stream
HTTP Fonctions
PHP Manual